@import url('https://fonts.googleapis.com/css?family=Work+Sans:300,600');
@import url('data:application/octet-stream;base64,QGZvbnQtZmFjZSB7CiAgZm9udC1mYW1pbHk6ICdPcGVuIFNhbnMnOwogIGZvbnQtc3R5bGU6IG5vcm1hbDsKICBmb250LXdlaWdodDogNDAwOwogIGZvbnQtZGlzcGxheTogc3dhcDsKICBzcmM6IHVybChodHRwczovL2ZvbnRzLmdzdGF0aWMuY29tL3Mvb3BlbnNhbnMvdjIwL21lbThZYUdzMTI2TWlacEJBLVUxVWcudHRmKSBmb3JtYXQoJ3RydWV0eXBlJyk7Cn0K');
@font-face {
  src: url(../fonts/Gobold-Bold.ttf);
  font-family: impatiente;
}
@font-face {
  src: url(../fonts/HelveticaNeue-Medium.otf);
  font-family: addvt;
}
@font-face {
  src: url(../fonts/delirium_ncv.ttf);
  font-family: bagnoles;
}

:root {
  --bg_blue: #0C161F;
  --bg_black: #000000;
  --bg_beige: #F1E9C1;
  --bg_green: #58594C;
  --bg_grey: #CACACA;
  --clr_white: #CACACA;
  --clr_pink: #ED46B1;
  --clr_orange: #f35f18;
  --clr_lnst: #ff8080;
  --clr_light_blue: #1A344B;
  --clr_bagnoles_green: #109993;
}

*, *::before, *::after {
  box-sizing: border-box;
  list-style: none;
  text-decoration: none;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  scroll-behavior: smooth;
}

body {
  overflow-x: hidden;
	margin: 0;
  width: 100vw;
  min-height: 100vh;
  background: rgb(12,22,31);
  font-family: 'Open Sans', sans-serif;
  color: var(--clr_white);
  font-weight: 400;
}



/**************************  START NAV  **************************/
header {
  z-index: 999;
  position: relative;
  width: 100%;
  background: var(--bg_blue);
  text-align: center;
}

header h1 {
  visibility: hidden;
  margin: 0;
  padding: 0.3em;
  color: var(--clr_white);
  text-transform: uppercase;
}

.logo a {
  text-decoration: none;
  font-size: 2rem;
  font-weight: bold;
  color: inherit;
}

/***Burger***/
.nav-toggle {
  position: absolute !important;
  top: -9999px !important;
  left: -9999px !important;
}

.nav-toggle:focus~.nav-toggle-label {
  outline: 3px solid rgba(lightblue, .75);
}

.nav-toggle-label {
  position: absolute;
  display: flex;
  align-items: center;
  top: 0;
  left: 0;
  margin-left: 1em;
  height: 100%;
}

.nav-toggle-label span,
.nav-toggle-label span::before,
.nav-toggle-label span::after {
  position: relative;
  display: block;
  border-radius: 2px;
  width: 2em;
  height: 3px;
  background: var(--clr_white);
}

.nav-toggle-label span::before,
.nav-toggle-label span::after {
  content: '';
  position: absolute;
}

.nav-toggle-label span::before {
  bottom: 7px;
}

.nav-toggle-label span::after {
  top: 7px;
}

/*** end burger ***/
nav {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  background: var(--bg_blue);
  text-align: left;
  transform: scale(1, 0);
  transform-origin: top;
  transition: transform 400ms ease-in-out;
}

nav ul {
  margin: 0;
  padding: 0;
  list-style: none;
}

nav li {
  margin-top: 1em;
  margin-bottom: 1.5em;
  margin-left: 1em;
}

nav a {
  color: var(--clr_white);
  font-size: 1.2rem;
  text-decoration: none;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

nav a:hover {
  color: var(--clr_white);
}

.nav-toggle:checked~nav {
  transform: scale(1, 1);
}

.nav-toggle:checked~nav a {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav ul.link-subs {
  padding-left: 1rem;
}

nav label {
  cursor: pointer;
  display: block;
  text-decoration: none;
  font-size: 1.2rem;
  padding: 0;
  opacity: 0;
  transition: opacity 150ms ease-in-out;
}

.nav-toggle:checked~nav label {
  opacity: 1;
  transition: opacity 250ms ease-in-out 250ms;
}

nav #creations {
  display: none
}

nav #creations:checked+ul.link-subs li.has-subs {
  padding: 1rem 1rem;
  height: 3rem;
  color: var(--clr_white);
}

nav li.has-subs {
  overflow: hidden;
  height: 0;
  margin: 0;
  transition: all 0.25s ease-in-out;
}

@media screen and (min-width: 877px) {
  .nav-toggle-label {
    display: none;
  }

  header {
    display: grid;
    grid-template-columns: 0.08fr auto minmax(600px, 3fr) 0.08fr;
  }

  .logo {
    grid-column: 2 / 3;
  }

  nav {
    all: unset; /* this causes issues with Edge, since it's unsupported */
    /* the following lines are not from my video, but add Edge support */
    position: relative;
    text-align: left;
    transition: none;
    transform: scale(1, 1);
    background: none;
    top: initial;
    left: initial;
    /* end Edge support stuff */
    grid-column: 3 / 4;
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  nav ul {
    display: flex;
    height: 1.7em;
  }

  nav li {
    margin-top: 0;
    margin-left: 3vw;
    margin-bottom: 0;
    display: flex;
    align-items: center;
  }

  nav a {
    opacity: 1;
    position: relative;
    height: 2em;
    display: flex;
    align-items: center;
  }

  nav a::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  /*nav .*********::before {
    content: '';
    transform: scale(1, 1);
  }

  nav a:hover::before {
    transform: scale(1, 1);
  }*/

  nav .creations::before {
    content: '';
    display: block;
    height: 2px;
    background: #CACACA;
    position: absolute;
    top: 2em;
    left: 0;
    right: 0;
    transform: scale(0, 1);
    transition: transform ease-in-out 250ms;
  }

  nav .creations:hover::before {
    transform: scale(1, 1);
  }

  nav label {
    opacity: 1;
    height: 2em;
    display: flex;
    align-items: center;
  }

  .creations {
    flex-direction: column;
    width: 125px;
    position: relative;
  }

  .link-subs {
    flex-direction: column;
  }

  nav #creations:checked+ul.link-subs li.has-subs {
    background-color: var(--bg_blue);
    padding: 2rem 0 2rem 0;
    color: var(--clr_white);
  }

  nav .link-subs {
    padding: 0;
    position: absolute;
    width: 16rem;
    top: 44px;
    left: -1rem;
    ;
  }

  nav li.has-subs a {
    margin: 1rem;
  }
}

@media screen and (min-width: 1300px) {
  header {
    grid-template-columns: 0.5fr auto minmax(600px, 3fr) 0.5fr;
  }
}

/**************************  END NAV  **************************/

.presentation {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 10vh auto;
  height: 50vh;
  padding: 5rem 1rem 0 1rem;
  background-image: url("../img/impatiente_visuel-s.webp"),
  linear-gradient(180deg, rgba(12,22,31,1) 2%, rgba(30,51,70,1) 30%, rgba(33,55,76,1) 70%, rgba(12,22,31,1) 98%);
  background-repeat: no-repeat;
  background-position: bottom center, center;
  background-size: 50vh, cover;
  font-size: 2rem;
  font-family: impatiente;
  text-transform: uppercase;
  letter-spacing: 0.10rem;
  animation: transitionin 4s;
}

/*.container-presentation {
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(180deg, rgba(12,22,31,1) 15%, rgba(30,51,70,1) 30%, rgba(33,55,76,1) 70%, rgba(12,22,31,1) 88%);
  padding: 10vh 0 0 0;
  height: 70vh;
}

.presentation {
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 auto;
  width: 40rem;
  padding: 0;
  background-image: url("../img/agnes_presentation_1.png");
  background-repeat: no-repeat;
  background-position: center;
  background-size: contain;
  font-size: 2rem;
  font-family: impatiente;
  text-transform: uppercase;
  letter-spacing: 0.25rem;
  animation: transitionin 4s;
}*/

@keyframes transitionin {

  from {
    opacity: 0;
  }

  to {
    opacity: 1;
  }
}

.container-arrow {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-between;
  margin: 5rem 20vw 0 20vw;
  text-transform: uppercase;

}

.container-arrow p {
  margin: 0 auto;
  text-align: center;
}


.go-to-main {
  animation: bounce 1s ease-in-out infinite;
  background-color: transparent;
  border: none;
}

@keyframes bounce {
  0% {top: 0px;}
  50% {top: -10px;}
  100% {top: 0px;}
}

.go-to-main img {
  background-color: transparent;
  width: 5rem;
  height: 5rem;
}

   /* xs */
   @media (min-width: 475px) {

    .presentation {
      font-size: 3rem;
      letter-spacing: 0.20rem;
    }
  }
  
  /* sm */
  @media (min-width: 640px) {
  }
  
  /* md */
  @media (min-width: 768px) {

    .presentation {
      background-size: 60vh, cover;
      font-size: 3.5rem;
      letter-spacing: 0.25rem;
    }
  }
  
  /* lg */
  @media (min-width: 1024px) {

    .presentation {
      font-size: 4rem;
      letter-spacing: 0.30rem;
    }

  }
  
  /* xl */
  @media (min-width: 1280px) {

    .presentation {
      font-size: 4.5rem;
      letter-spacing: 0.45rem;
    }

  }
  
  /* 2xl */
  @media (min-width: 1536px) {

    .presentation {
      font-size: 5rem;
      letter-spacing: 0.75rem;
    }


  }







/**************************  START MAIN  **************************/

.main-creations {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(4, 1fr);

  grid-template-areas:
    "lnst"
    "bagnoles"
    "addvt"
    "crame";
  padding-top: 10vh;
  padding-bottom: 10vh;
  /*background: linear-gradient(180deg, rgba(12,22,31,1) 0%, rgba(33,55,76,1) 10%, rgba(33,55,76,1) 80%, rgba(12,22,31,1) 95%, rgba(0,0,0,1) 100%);*/

}

.addvt {
  grid-area: addvt;
}

.crame {
  grid-area: crame;
}

.bagnoles {
  grid-area: bagnoles;
}

.lnst {
  grid-area: lnst;
}

section a {
  text-decoration: none;
  color: inherit;
}

section {
  display: flex;
  align-items: center;
  justify-content: center;
  margin: 1rem;
}







.affiche {
  display: flex;
  width: 90vw;
  height: 20rem;
  background-repeat: no-repeat;
  background-position: top center;
  background-size: cover;
  border-radius: 10px;
}

.affiche-lnst {
  align-items: center;
  background-image: url("../img/lnst/jpeg/lnst_affiche-s.jpeg");
  background-color: black;
  background-position: top 2rem left;
}

.affiche-bagnoles {
  align-items: end;
  justify-content: end;
  background-image: url("../img/bagnoles/jpeg/bagnoles_visuel-s.jpeg");
  background-position: bottom left;
}

.affiche-addvt {
  align-items: center;
  background-image: url("../img/addvt/addvt_visuel.jpeg");
  background-position: bottom center;
}

.affiche-crame {
  justify-content: center;
  background-image: url("../img/crame/jpeg/crame_visuel-s.jpeg");
}








.affiche a {
  width: 100%;
  height: 100%;
}


.titre {
  text-transform: uppercase;
  font-family: impatiente;
  font-weight: bolder;
  font-size: 2.5rem
}

.titre_lnst {
  width: 5rem;
  padding-left: 1rem;
  margin: 0;
  color: var(--clr_lnst);
  letter-spacing: 3px;
}

.titre_bagnoles {
  color: black;
  margin-bottom: 2.5rem;
  padding-right: 1.5rem;
}

.titre_addvt {
  padding-left: 1rem;
  width: 5rem;
  transition-property: font-size;
  color: #033663;
}

.titre_crame {
  color: var(--clr_orange);
  font-family: impatiente;
  letter-spacing: 3px;
  margin-top: 2rem;
}






   /* xs */
   @media (min-width: 475px) {

    .affiche-lnst {
      background-size: contain;
      background-position: top 2rem left 8rem;
    }

    .affiche-bagnoles {
      align-items: center;
      justify-content: center;
    }

    .affiche-crame {
      background-size: contain;
      background-image: linear-gradient(to right, black 15%, transparent 20%, transparent 80%, black 85%),
      url("../img/crame/jpeg/crame_visuel-s.jpeg");
      background-color: black;
      background-position: center, bottom center;
    }

    .titre_lnst {
      padding-left: 2rem;
    }

    .titre_bagnoles {
      color: black;
      margin-bottom: 0;
      padding-right: 0;
    }

    .titre_addvt {
      padding-left: 2rem;
    }

  }
  
  /* sm */
  @media (min-width: 640px) {

    .titre {
      font-size: 2.75rem;
    }

    .affiche-lnst {
      background-position: top 2rem left 12rem;
    }

    .titre_lnst {
      padding-left: 3rem;
    }

    .titre_addvt {
      padding-left: 3rem;
    }


  }

  
  /* md */
  @media (min-width: 768px) {

    .main-creations {
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-template-rows: 30rem 1fr 1fr;
      grid-template-areas:
        "lnst lnst"
        "addvt bagnoles"
        "addvt crame";
    }
  
    .addvt {
      grid-area: addvt;
      justify-self: end;
    }
  
    .crame {
      grid-area: crame;
    }
  
    .bagnoles {
      grid-area: bagnoles;
    }
  
    .lnst {
      grid-area: lnst;
      justify-self: center;
    }
  
    section {
      display: block;
    }



  
    .affiche {
    width: 40vw;
    max-width: 600px;
  }
  
  .affiche-lnst {
    background-size: contain;
    background-position: top 2rem center;
    width: calc(80vw + 2rem);
    max-width: calc(1200px + 2rem);
    height: 28rem;
  }

  .affiche-bagnoles {
    align-items: end;
    justify-content: end;
    background-image: url("../img/bagnoles/jpeg/bagnoles_visuel-s.jpeg");
    background-position: bottom left;
  }

  .affiche-addvt {
    height: 42rem;
    background-position: bottom right -28rem;
  }

  .affiche-crame {
    background-size: cover;
    justify-content: center;
    background-image: url("../img/crame/jpeg/crame_visuel-s.jpeg");
  }

    .titre_lnst {
      padding-left: 2rem;
    }

    .titre_bagnoles {
      margin-bottom: 2.5rem;
      padding-right: 1.5rem;
    }

    .titre_addvt {
      padding-left: 2rem;
    }
  }
  
  /* lg */
  @media (min-width: 1024px) {

    .affiche-bagnoles {
      align-items: center;
      justify-content: center;

    }

    .affiche-addvt {
      background-position: bottom right -20rem;
    }

    .titre {
      font-size: 3rem;
    }

    .titre_lnst {
      padding-left: 3rem;
    }

    .titre_bagnoles {
      margin: 0;
      padding-right: 0;
    }

    .titre_addvt {
      padding-left: 3rem;
    }
  }
  
  /* xl */
  @media (min-width: 1280px) {

    .affiche {
      opacity: 0.7;
      transition-property: opacity;
      transition-duration: 200ms;
      transition-timing-function: ease-in;
    }
  
    .affiche:hover {
    opacity: 1;
  }

  .titre {
    font-size: 3.5rem;
  }

  .titre_crame {
    margin-top: 1rem;
  }

  }
  
  /* 2xl */
  @media (min-width: 1536px) {
  }






/**************************  END MAIN  **************************/

/**************************  START FOOTER  **************************/


footer {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 1fr;
  grid-template-areas:
    "icons"
    "copyright";
  padding: 1rem 0;
  background: var(--bg_black);
}

.copyright {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: copyright;
  margin: 1rem auto;
  max-width: 300px;
  text-align: center;
  font-size: 10px;
}

.icons_container {
  display: flex;
  justify-content: center;
  align-items: center;
  grid-area: icons;
}

.link_facebook {
  width: auto;
  height: 50px;
}

.link_instagram {
  width: auto;
  height: 50px;
}

.icon-facebook {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-right: 7vw;
  width: auto;
  height: 50px;
}

.icon-facebook:hover, .icon-facebook:active {
  background-color: var(--clr_light_blue);
}

.icon-instagram {
  background-color: var(--bg_blue);
  border-radius: 50%;
  margin-left: 7vw;
  width: auto;
  height: 50px;
}

.icon-instagram:hover, .icon-instagram:active {
  background-color: var(--clr_light_blue);
}



@media screen and (min-width: 500px) {

  footer {
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "copyright icons";
    padding: 2rem 0;
    background: var(--bg_black);
  }

  .copyright {
    margin: 0px auto;
  }

  .icon-facebook {
    margin-right: 1vw;
    height: 60px;
  }

  .icon-instagram {
    margin-left: 1vw;
    height: 60px;
  }

}



@media screen and (min-width: 800px) {

  footer {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: 1fr;
    grid-template-areas:
      "empty copyright copyright icons";
    background: var(--bg_black);
  }

  .empty {
    grid-area: empty;
  }

  .copyright {
    grid-area: copyright;
  }

  .icons_container {
    grid-area: icons;
  }

}

@media screen and (min-width: 2000px) {

  .copyright {
    margin: 1rem auto;
    max-width: 800px;
    font-size: 1.5rem;
  }

  .icons_container {
    position: relative;
    height: 100px;
  }

  .icon-facebook {
    position: absolute;
    left: 50px;
    top: 18px;
    height: 100px;
  }

  .icon-instagram {
    position: absolute;
    left: 250px;
    top: 18px;
    height: 100px;
  }

}

/**************************  END FOOTER  **************************/
